#!/usr/bin/perl
#
# Simple Perl program to send a file containing a standard SMS message to
# a pre-determined SMS service gateway. You will need to replace the device
# value with your device ID (the full phone number with area code on a cell
# phone). Replace the network with the hostname of your service provider's
# SMS gateway.
#
# Random notes:
# 1. Max message length - various documents indicate that the maximum
# length of an SMS message is somewhere in the 90 - 150 character
# range. Some documents imply that message headers contents  such as 
# those in "FROM:" and "SUBJECT:" are included in the count. Other
# claim only the message text itself is counted. If anyone knows where
# to find a definitive value, I'm interested.
#
# 2. It takes 10-15 seconds for a transmitted message to make to my
# phone through the ATT network. YMMV.

#==========================================================================
# Copyright (c) 1999, 2000 by R. Steven Rainwater <steve@ncc.com>
# 
# http://www.ncc.com/freeware/
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
#==========================================================================

my $version = '0.1';

# Stuff for the user to configure
my $device = '0123456789';
my $network = 'mobile.att.net';
my $mailpath = '/usr/lib/sendmail';

unless($ARGV[0]) { die "\n\nsendsms $version\nusage: sendsms [smsfile]\n\n"; }
 
if (open MAIL, "|$mailpath $device\@$network") {
    if (open SMSF, $ARGV[0]) {
	while(<SMSF>) { print MAIL; }
	close SMSF;
    }
    close MAIL;
}
